sun.applet

## Class AppletSecurityContextManager

- java.lang.Object
- - sun.applet.AppletSecurityContextManager

    public class AppletSecurityContextManager
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AppletSecurityContextManager()`

### Method Summary

Methods
`static void` `addContext(int identifier, PluginAppletSecurityContext context)`
`static void` `dumpStore(int identifier)`
`static PluginAppletSecurityContext` `getSecurityContext(int identifier)`
`static void` `handleMessage(int identifier, int reference, java.lang.String src, java.lang.String[] privileges, java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppletSecurityContextManager

    public AppletSecurityContextManager()

### Method Detail

#### addContext

    public static void addContext(int identifier,
                  PluginAppletSecurityContext context)

#### getSecurityContext

    public static PluginAppletSecurityContext getSecurityContext(int identifier)

#### dumpStore

    public static void dumpStore(int identifier)

#### handleMessage

    public static void handleMessage(int identifier,
                     int reference,
                     java.lang.String src,
                     java.lang.String[] privileges,
                     java.lang.String message)